Package com.avaya.clientservices.call.feature

## Enum RingType

- java.lang.Object
- - java.lang.Enum<RingType>
  - - com.avaya.clientservices.call.feature.RingType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RingType>`

      public enum RingType
      extends java.lang.Enum<RingType>

  The call pickup alert type feature values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABBREVIATED` | Short Ring Type.
    `CONTINUOUS` | Continuous Ring Type.
    `DELAYED` | Delayed Ring Type.
    `IFBUSYSILENT` | Silent Ring Type if user busy.
    `IFBUSYSINGLE` | Single Ring if user busy.
    `INTERCOM` | Intercom Ring Type.
    `OFF` | Ring Type OFF.
    `ON` | Ring Type ON.
    `SINGLE` | Single Ring Type.
    `UNDEFINED` | Undefined Ring type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RingType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RingType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final RingType UNDEFINED

      Undefined Ring type.

    - #### ABBREVIATED

          public static final RingType ABBREVIATED

      Short Ring Type.

    - #### DELAYED

          public static final RingType DELAYED

      Delayed Ring Type.

    - #### INTERCOM

          public static final RingType INTERCOM

      Intercom Ring Type.

    - #### ON

          public static final RingType ON

      Ring Type ON.

    - #### OFF

          public static final RingType OFF

      Ring Type OFF.

    - #### CONTINUOUS

          public static final RingType CONTINUOUS

      Continuous Ring Type.

    - #### IFBUSYSILENT

          public static final RingType IFBUSYSILENT

      Silent Ring Type if user busy.

    - #### IFBUSYSINGLE

          public static final RingType IFBUSYSINGLE

      Single Ring if user busy.

    - #### SINGLE

          public static final RingType SINGLE

      Single Ring Type.

  - ### Method Detail

    - #### values

          public static RingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RingType c : RingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RingType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null